---
- name: ensure no drivers were previously installed
  become: true
  pacman:
    name: xf86-video-nouveau
    state: absent

- name: install Intel VGA driver
  become: true
  pacman:
    name: xf86-video-intel
    state: latest

- name: deploy lightdm configuration file
  become: true
  template:
    src: lightdm.conf.j2
    dest: /etc/lightdm/lightdm.conf
    owner: root
    group: root